Name: unixODBC
Version: 2.2.8
Release: alt3
Summary: Unix ODBC driver manager and database drivers
Summary(ru_RU.KOI8-R):    ODBC  unix 
Source: http://www.unixodbc.org/%name-%version.tar.gz
Source1: odbcinst.ini
Patch1: depcomp.patch
Patch2: rename-lo.patch
Patch3: installedltdl.patch
Patch4: doublefree.patch

Group: Databases
License: LGPL
Url: http://www.unixODBC.org
BuildPreReq: bison, flex, libMySQL-devel >= 3.23.49-alt3, libltdl-devel
# Automatically added by buildreq on Wed Sep 25 2002
BuildRequires: XFree86-devel XFree86-libs flex freetype2 gcc-c++ glibc-devel-static libMySQL-devel libcups libjpeg liblcms libmng libncurses-devel libqt3-devel libreadline-devel libssl libstdc++-devel zlib-devel-static

Provides: libodbc.so, libodbcinst.so, MyODBC

%description
UnixODBC is a free/open and solution for ODBC. ODBC is an open
specifican for providing application developers with a predictable API
with which to access Data Sources. Data Sources include SQL Servers and
any Data Source with an ODBC Driver.

%description -l ru_RU.KOI8-R
UnixODBC -   ODBC . 
ODBC        
  API     . 
      SQL    , 
ODBC .

%package -n lib%name
Summary: Shared libraries for ODBC
Summary(ru_RU.KOI8-R):    ODBC
Group: Development/Databases
Requires: %name = %version

%description -n lib%name
unixODBC aims to provide a complete ODBC solution for the Linux platform.
All programs are GPL.
All libs are LGPL (except nn which is GPL?).
This package contains the shared libraries.

%description -n lib%name -l ru_RU.KOI8-R
unixODBC      ODBC  Linux .
      .

%package -n lib%name-devel
Summary: Includes for ODBC development
Summary(ru_RU.KOI8-R):       ODBC
Group: Development/Databases
Requires: %name = %version

%description -n lib%name-devel
unixODBC aims to provide a complete ODBC solution for the Linux platform.
All programs are GPL.
All libs are LGPL (except nn which is GPL?).
This package contains the include files for development.

%description -n lib%name-devel -l ru_RU.KOI8-R
unixODBC      ODBC  Linux .
         ODBC

%package -n lib%name-devel-static
Summary: Static libraries for ODBC development
Summary(ru_RU.KOI8-R):      ODBC
Group: Development/Databases
Requires: %name = %version

%description -n lib%name-devel-static
unixODBC aims to provide a complete ODBC solution for the Linux platform.
All programs are GPL.
All libs are LGPL (except nn which is GPL?).
This package contains the static libraries for development.

%description -n lib%name-devel-static -l ru_RU.KOI8-R
unixODBC      ODBC  Linux .
         ODBC

%package gui-qt
Summary: ODBC configurator, Data Source browser and ODBC test tool based on Qt
Summary(ru_RU.KOI8-R):   ODBC ,          ODBC,   Qt
Group: Databases
Requires: %name = %version

%description gui-qt
unixODBC aims to provide a complete ODBC solution for the Linux platform.
All programs are GPL.
All libs are LGPL (except nn which is GPL?).
This package contains two Qt based GUI programs for unixODBC:
ODBCConfig and DataManager

%description gui-qt -l ru_RU.KOI8-R
unixODBC      ODBC  Linux .
     QT     unixODBC.

%prep
%setup -q
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

# 2.2.8 includes a libtool that is too old for some of our architectures.
# Blow it away and replace with build system's libtool.  (We intend to use
# the installed libtool anyway, but this makes sure they match.)
rm -rf config.guess config.sub ltmain.sh libltdl
cp -r /usr/share/libtool/* .

# Use newer install-sh and mkinstalldirs, too
if [ -f libltdl/install-sh ]; then
  cp -f libltdl/install-sh .
fi
if [ -f libltdl/mkinstalldirs ]; then
  cp -f libltdl/mkinstalldirs .
fi

%build
# pick up qt path
export QTDIR=
. /etc/profile.d/qt3dir.sh
# clean up old moc files
(cd ODBCConfig && rm -f mclass*.cpp)
(cd DataManager && rm -f mclass*.cpp)

aclocal
automake
autoconf
pushd libltdl
aclocal
automake -a -c
autoconf
popd

%configure --with-gnu-ld=yes \
	    --enable-threads=yes \
	    --enable-gui=yes \
	    --enable-static=yes \
	    --enable-drivers \
	    --enable-ltdl-install=no
%make all


%install

export QTDIR=
. /etc/profile.d/qt3dir.sh

rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/share/icons
mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons

%makeinstall
install -m644 %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}
cp DataManager/LinuxODBC.xpm $RPM_BUILD_ROOT%{_datadir}/icons
cp DataManager/ODBC.xpm $RPM_BUILD_ROOT%{_datadir}/icons/odbc.xpm
cp DataManagerII/LinuxODBC.xpm $RPM_BUILD_ROOT/usr/share/icons
cp DataManagerII/ODBC.xpm $RPM_BUILD_ROOT/usr/share/icons/odbc.xpm
find $RPM_BUILD_ROOT/%{_libdir} -name "*.so.*" |sed "s|$RPM_BUILD_ROOT||" |grep  -i -v libodbcinstQ > foo-list
find $RPM_BUILD_ROOT/%{_libdir} -name "*.so" |sed "s|$RPM_BUILD_ROOT||" |grep  -i -v libodbcinstQ |grep  -v -E "libodbc.so$" |grep  -v -E "libodbcpsqlS?.so$" |grep  -v -E "libodbcmyS.so$" > foo-list2

# move to main package, it's often dlopened...
echo "%{_libdir}/libodbc.so" >> foo-list
echo "%{_libdir}/libodbcpsql.so" >> foo-list
echo "%{_libdir}/libodbcpsqlS.so" >> foo-list
echo "%{_libdir}/libodbcmyS.so" >> foo-list

# remove unpackaged files from the buildroot
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la

# Menu entries

install -d $RPM_BUILD_ROOT%_menudir


# ODBCConfig
cat << EOF > $RPM_BUILD_ROOT%_menudir/unixODBC-gui-qt
?package(%name-gui-qt): \
needs="x11" \
section="Applications/Databases" \
longtitle="ODBCConfig" \
title="ODBCConfig" \
icon="databases_section.xpm" \
command="ODBCConfig"

?package(%name-gui-qt): \
needs="x11" \
section="Applications/Databases" \
longtitle="DataManager" \
title="DataManager" \
icon="databases_section.xpm" \
command="DataManager"

?package(%name-gui-qt): \
needs="x11" \
section="Applications/Databases" \
longtitle="ODBCtest" \
title="ODBCtest" \
icon="databases_section.xpm" \
command="odbctest"
EOF

find doc -name Makefile\* -exec rm {} \;

%post -n lib%name -p /sbin/ldconfig

%postun -n lib%name -p /sbin/ldconfig

%post -n lib%name-devel -p /sbin/ldconfig

%postun -n lib%name-devel -p /sbin/ldconfig

%post gui-qt
%update_menus

%postun gui-qt
%clean_menus

%files
%doc AUTHORS COPYING INSTALL ChangeLog NEWS README
%config(noreplace) %verify(not md5 size mtime)  %_sysconfdir/odbc*.ini
%_bindir/dltest
%_bindir/isql
%_bindir/iusql
%_bindir/odbcinst

%files -n lib%name -f foo-list

%files -n lib%name-devel
%doc doc/
%_libdir/lib*.so
%_includedir/*

%files -n lib%name-devel-static
%_libdir/lib*.a

%files gui-qt
%_bindir/odbctest
%_bindir/ODBCConfig
%_bindir/DataManager
%_bindir/DataManagerII
%_menudir/unixODBC-gui-qt
%_libdir/libodbcinstQ*

%changelog
* Thu May 13 2004 Anton Farygin <rider@altlinux.ru> 2.2.8-alt3
- sync with RH: 
    Backpatch fix for double-free error from upstream devel sources.

* Tue May 11 2004 Anton Farygin <rider@altlinux.ru> 2.2.8-alt2
- packages conflict fixed (libltdl, bugzilla #4070)

* Fri Apr 30 2004 Anton Farygin <rider@altlinux.ru> 2.2.8-alt1
- new version
- added patches from RH
- removed gui-gtk

* Wed Sep 25 2002 AEN <aen@altlinux.ru> 2.2.3-alt1
- new version

* Wed Sep 25 2002 AEN <aen@altlinux.ru> 2.2.1-alt2
- rebuilt with new Qt

* Thu Jul 04 2002 AEN <aen@logic.ru> 2.2.1-alt1
- new version

* Mon Apr 08 2002 AEN <aen@logic.ru> 2.2.0-alt4
- built odbc driver for MySQL

* Thu Mar 28 2002 AEN <aen@logic.ru> 2.2.0-alt3
- libodbcinstQ -> gui-qt

* Wed Feb 13 2002 AEN <aen@logic.ru> 2.2.0-alt2
- Typo in spec

* Sat Feb 09 2002 Rider <rider@altlinux.ru> 2.2.0-alt1
- 2.2.0

* Thu Jan 03 2002 Rider <rider@altlinux.ru> 2.1.1-alt1
- build section from MDK
- 2.1.1
- temporary removed QT based tools
- russan summary and description

* Thu Oct 11 2001 AEN <aen@logic.ru> 2.0.8-alt2
- rebuilt with libpng.so.3

* Sat Sep 08 2001 Rider <rider@altlinux.ru> 2.0.8-alt1
- buildreq fix
- 2.0.8

* Fri May 04 2001 Rider <rider@altlinux.ru> 2.0.6-alt1
- libifications
- 2.0.6
- devel-static package

* Sat Feb 17 2001 AEN <aen@logic.ru>
- group names fixed

* Wed Jan 17 2001 AEN <aen@logic.ru>
- RE adaptation
- build with GUI
- BuildReq : unixODBC

* Tue Jan 16 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 2.0.3-1mdk
- bump a new and shiny source into cooker.

* Sat Nov 25 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.8.13-1mdk
- new and shiny source bumped into cooker.

* Fri Aug 25 2000 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.8.12-1mdk
- updated release.

* Wed Aug 02 2000 Stefan van der Eijk <s.vandereijk@chello.nl> 1.8.7-2mdk
- macroszifications
- BM
- Geoff <snailtalk@mandrakesoft.com> -- fix the doc kludge

* Thu Apr 20 2000 <ghibo@mandrakesoft.com> 1.8.7-1mdk
- updated version.

* Sat Apr 15 2000 <ghibo@mandrakesoft.com> 1.8.3-1mdk
- updated to new version.
- fixed group.

* Tue Oct 19 1999 <lenny@mandrakesoft.com>
- Specfile adaptation.
- First pasckage for Mandrake
